Bug 528200 - (CVE-2009-3648) CVE-2009-3648 drupal-service_links: xss vulnerability
CVE-2009-3648 drupal-service_links: xss vulnerability
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://web.nvd.nist.gov/view/vuln/det...
impact=moderate,source=cve,reported=2...
: Security
Depends On: 528201
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-09 14:13 EDT by Vincent Danen
Modified: 2016-03-04 06:37 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-19 10:05:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2009-10-09 14:13:49 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-3648 to
the following vulnerability:

Name: CVE-2009-3648
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-3648
Assigned: 20091009
Reference: MISC: http://www.madirish.net/?article=251
Reference: BID:36584
Reference: URL: http://www.securityfocus.com/bid/36584
Reference: XF:servicelinks-content-type-xss(53633)
Reference: URL: http://xforce.iss.net/xforce/xfdb/53633

Cross-site scripting (XSS) vulnerability in Service Links 6.x-1.0, a
module for Drupal, allows remote authenticated users, with 'administer
content types' permissions, to inject arbitrary web script or HTML via
unspecified vectors when displaying content type names.


Checked drupal-service_links in CVS and this affects Fedora 10, 11, and rawhide.
Comment 2 Fedora Update System 2009-10-09 14:56:24 EDT
drupal-service_links-6.x.1.0-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/drupal-service_links-6.x.1.0-5.fc11
Comment 3 Fedora Update System 2009-10-09 14:56:34 EDT
drupal-service_links-6.x.1.0-5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/drupal-service_links-6.x.1.0-5.fc10
Comment 4 Fedora Update System 2009-10-09 14:56:44 EDT
drupal-service_links-6.x.1.0-5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/drupal-service_links-6.x.1.0-5.fc12
Comment 5 Fedora Update System 2009-10-13 21:43:29 EDT
drupal-service_links-6.x.1.0-5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-10-13 21:52:05 EDT
drupal-service_links-6.x.1.0-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.